*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
}

body {
    font-family: 'VT323', monospace;
    background-color: #0a6b27;
    margin: 0;
    transition: all;
    transition-duration: 2s;
}

#content {
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 100px;
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
}

#game-output {
    display: none;
    transition: all;
    transition-duration: 2s;
}

.game-output-fullheight {
    top: 5px;
    height: auto !important;
}

.game {
    display: none;
}

.button-list {
    opacity: 0;
    width: 150px;
    padding-right: 20px;
    -webkit-transition-property: opacity; /* Safari */
    -webkit-transition-duration: 1s; /* Safari */
    -o-transition-property: opacity;
    transition-property: opacity;
    -o-transition-duration: 1s;
       transition-duration: 1s;
}

.display-flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.opacity-100 {
    opacity: 100;
}

.stage {
    text-align: right;
    width: 0;
    -webkit-transition-property: width; /* Safari */
    -webkit-transition-duration: 1s; /* Safari */
    -o-transition-property: width;
    transition-property: width;
    -o-transition-duration: 1s;
       transition-duration: 1s;
}

#stage-two {
    text-align: center;
    display: none;
}

#stage-three {
    text-align: center;
    display: none;
    width: 150px;
}

#stage-four {
    display: none;
    text-align: center;
}

#stage-five {
    display: none;
    text-align: center;
}

#stage-six {
    display: none;
}

#stage-eight {
    position: relative;
    text-align: center;
    display: none;
    width: auto;
}

.ltt-fin {
    position: absolute;
    right: -4px;
    top: -13px;
}

.ltt-fin img {
    height: 30px;
}

.schedule {
    width: 300px;
    height: 250px;
    position: absolute;
    background: wheat;
    left: 50%;
    top: 50%;
    display: flex;
    transform: translate(-50%, -50%);
    flex-direction: row;
}

.timeslot {
    background: red;
}

.col {
    width: 20%;
    display: flex;
    flex-direction: column;
}

.row {
    height: 16.666666666666%;
    width: 100%;
    border: 1px solid #333;
}

.you {
    display: none;

    -webkit-transform: scaleX(-1);
    -ms-transform: scaleX(-1);
        transform: scaleX(-1);
    margin-right: 30px;
}

.baby {
    display: none;
    height: 64px !important;
    width: 36px !important;

    -webkit-transform: scaleX(-1);
    -ms-transform: scaleX(-1);
        transform: scaleX(-1);
    margin-left: 10px;
    margin-top: 70px
}

.ltt-fin .baby {
    margin-top: 50px;
    margin-left: 0;
}

.pregnant {
    display: none;

    -webkit-transform: scaleX(-1);
    -ms-transform: scaleX(-1);
        transform: scaleX(-1);
    margin-right: 20px;
}

#stage-four .you, #stage-five .you {
    margin-right: 0;
}

#stage-four .pregnant, #stage-five .pregnant {
    margin-right: 0;
}

#stage-four .button-list, #stage-five .button-list {
    padding-right: 0;
}

.note img, .note-right img {
    position: relative;
}

.note {
    position: fixed;
    left: 50px;
    z-index: 1000;
    top: 27%;
}

.note-right {
    position: fixed;
    right: 40px;
    z-index: 1000;
    top: 20%;
}

.width-100-px {
    width: 150px !important;
}

.width-200-px {
    width: 250px !important;
}

.game.game-active {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.image-character {
    position: relative;
    height: 220px;
}

.input-modal {
    display: none;
    border: 3px solid black;
    padding: 15px;
    background-color: #fffdd0;
    max-width: 300px;
    transform-origin: (0, 0);
    transition: all;
    transition-duration: 2s;
}

#game-output {
    border: 5px solid rgb(238, 238, 238);
    padding: 15px;
    background-color: #9c0b0b;
    color: white;
    position: fixed;
    bottom: 5px;
    left: 5px;
    right: 5px;
    height: 100px;
    user-select: none;
}

.arrow-down {
    position: absolute;
    right: 6px;
    bottom: 6px;
    border-top: 3px solid black;
    width: 12px;
    -webkit-animation: bounce 2.5s infinite;
            animation: bounce 2.5s infinite;
}

.arrow-down:before {
    content: "";
    display: block;
    position: absolute;
    top: -6px;
    left: -3px;
    width: 18px;
    border-top: 3px solid black;
}

.arrow-down:after {
    content: "";
    display: block;
    position: absolute;
    top: 0px;
    left: 3px;
    width: 6px;
    border-top: 3px solid black;
}

@-webkit-keyframes bounce {
    0%   { bottom: 6px; }
    50%  { bottom: 12px; }
    100% { bottom: 6px; }
}
@keyframes bounce {
    0%   { bottom: 6px; }
    50%  { bottom: 12px; }
    100% { bottom: 6px; }
}  

@-webkit-keyframes rotate {
    0%   { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}
@keyframes rotate {
    0%   { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}  

.bounce {
    position: relative;
    -webkit-animation: bounce 2.5s infinite;
            animation: bounce 2.5s infinite;
}

.dance {
    -webkit-animation: bounce 1s infinite;
            animation: bounce 1s infinite;
}

.delay {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s;
}

.rotate {
    -webkit-animation: rotate 2.5s infinite linear;
            animation: rotate 2.5s infinite linear;
}

.error-modal {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
}

.eightbit-input {
    background: #eeeeee;
    display: inline-block;
    position: relative;
    text-align: center;
    font-size: 15px;
    padding: 6px 10px;
    text-decoration: none;
    color: black;
    height: 32px;
    border: 3px solid black;
    font-family: 'VT323', monospace;
}

.eightbit-btn {
    background: #92cd41;
    display: inline-block;
    position: relative;
    text-align: center;
    font-size: 15px;
    padding: 6px 10px;
    text-decoration: none;
    color: #333;
    -webkit-box-shadow: inset -2px -2px 0px 0px #4aa52e;
            box-shadow: inset -2px -2px 0px 0px #4aa52e;
    margin: 3px;
}

.eightbit-btn:hover, .eightbit-btn:focus {
    background: #76c442;
    -webkit-box-shadow: inset -3px -3px 0px 0px #4aa52e;
            box-shadow: inset -3px -3px 0px 0px #4aa52e;
}

.eightbit-btn:active {
    -webkit-box-shadow: inset 2px 2px 0px 0px #4aa52e;
            box-shadow: inset 2px 2px 0px 0px #4aa52e;
}

.eightbit-btn:before, .eightbit-btn:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-box-sizing: content-box;
            box-sizing: content-box;
}

.eightbit-btn:before {
    top: -3px;
    left: 0;
    border-top: 3px black solid;
    border-bottom: 3px black solid;
}

.eightbit-btn:after {
    left: -3px;
    top: 0;
    border-left: 3px black solid;
    border-right: 3px black solid;
}

.eightbit-btn--reset {
    background: #e76e55;
    color: white;
    -webkit-box-shadow: inset -2px -2px 0px 0px #8c2022;
            box-shadow: inset -2px -2px 0px 0px #8c2022;
}

.eightbit-btn--reset:hover, .eightbit-btn--reset:focus {
    background: #ce372b;
    -webkit-box-shadow: inset -3px -3px 0px 0px #8c2022;
            box-shadow: inset -3px -3px 0px 0px #8c2022;
}

.eightbit-btn--reset:active {
    -webkit-box-shadow: inset 2px 2px 0px 0px #8c2022;
            box-shadow: inset 2px 2px 0px 0px #8c2022;
}

.eightbit-btn--proceed {
    background: #f7d51d;
    color: white;
    -webkit-box-shadow: inset -2px -2px 0px 0px #e59400;
            box-shadow: inset -2px -2px 0px 0px #e59400;
}

.eightbit-btn--proceed:hover, .eightbit-btn--proceed:focus {
    background: #f2c409;
    -webkit-box-shadow: inset -3px -3px 0px 0px #e59400;
            box-shadow: inset -3px -3px 0px 0px #e59400;
}

.eightbit-btn--proceed:active {
    -webkit-box-shadow: inset 2px 2px 0px 0px #e59400;
            box-shadow: inset 2px 2px 0px 0px #e59400;
}

.button-disabled {
    background: #eee;
    -webkit-box-shadow: inset -2px -2px 0px 0px #aaa;
            box-shadow: inset -2px -2px 0px 0px #aaa;
    border-color: #999;
    color: #bbb;
}

@-webkit-keyframes fly {
    0%   { -webkit-transform: translate(0,0); transform: translate(0,0) }
    100% { -webkit-transform: translate(120vw,120vh); transform: translate(120vw,120vh) }
}
@keyframes fly {
    0%   { -webkit-transform: translate(0,0); transform: translate(0,0) }
    100% { -webkit-transform: translate(120vw,120vh); transform: translate(120vw,120vh) }
}  

@-webkit-keyframes fall {
    0%   { -webkit-transform: translate(0,0); transform: translate(0,0); }
    100% { -webkit-transform: translate(0, 120vh); transform: translate(0, 120vh); }
}
@keyframes fall {
    0%   { -webkit-transform: translate(0,0); transform: translate(0,0); }
    100% { -webkit-transform: translate(0, 120vh); transform: translate(0, 120vh); }
}  

.ltt {
    position: fixed;
    -webkit-animation: fly 2.5s infinite linear;
            animation: fly 2.5s infinite linear;
}

.ltt-1 {
    top: -26px;
    left: 0;
    -webkit-animation-duration: 0.4s;
            animation-duration: 0.4s;
}

.ltt-2 {
    top: 0;
    left: 30px;
    -webkit-animation-duration: 1s;
            animation-duration: 1s;
}

.ltt-3 {
    top: 100px;
    left: 0;
    -webkit-animation-duration: 1.4s;
            animation-duration: 1.4s;
}

.ltt-4 {
    top: 0;
    left: 70px;
    -webkit-animation-duration: 2s;
            animation-duration: 2s;
}

.ltt-5 {
    top:0;
    left: 120px;
    -webkit-animation-duration: 0.9s;
            animation-duration: 0.9s;
}

.ltt-6 {
    top: 0;
    left: 90px;
    -webkit-animation-duration: 1.1s;
            animation-duration: 1.1s;
}

.ltt-7 {
    top: -80px;
    left: 0;
    -webkit-animation-duration: 0.6s;
            animation-duration: 0.6s;
}

.ltt-8 {
    top: 250px;
    left: 0px;
    -webkit-animation-duration: 1.2s;
            animation-duration: 1.2s;
}

.ltt-9 {
    top: 150px;
    left: 0px;
    -webkit-animation-duration: 1.8s;
            animation-duration: 1.8s;
}

.letter {
    position: fixed;
    top: -20px;
    left: 45%;
    -webkit-animation: fall 2.5s infinite linear;
            animation: fall 2.5s infinite linear;
}

.success {
    display: none;
    font-size: 83px;
    -webkit-transform: rotate(-20deg);
        -ms-transform: rotate(-20deg);
            transform: rotate(-20deg);
    left: 31%;
    top: 37%;
    position: fixed;
    color: white;
    text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
}

.gameWindow,
.hintWindow{
    width: 308px;
    position: absolute;
    height: 308px;
    display: flex;
    flex-wrap: wrap;
    border: 4px solid black;
    border-radius: 4px;
    display: flex;
    flex-wrap: wrap;
    left: 50%;
    overflow: hidden;
    top: 50%;
    transform: translate(-50%, -50%);
}

.gameWindow>div{
	background-image: url(../images/1.jpg);
	width: 100px;
	height: 100px;
	border: 4px solid black;
	background-repeat: no-repeat;
	background-size: 300px;
	z-index: 100;
}
.empty{
	background-image: none;
	background-color: white;
}
.puzzle2{
	background-position: -100px 0;
}
.puzzle3{
	background-position: -200px 0;
}
.puzzle11{
	background-position: 0 -100px;
}
.puzzle12{
	background-position: -100px -100px;
}
.puzzle13{
	background-position: -200px -100px;
}
.puzzle21{
	background-position: 0 -200px;
}
.puzzle22{
	background-position: -100px -200px;
}
.puzzle23{
	background-position: -200px -200px;
}


@keyframes fall {

    0% {
  
      opacity: 0;
  
    }
  
    50% {
  
      opacity: 1;
  
    }
  
    100% {
  
      top: 100vh;
  
      opacity: 1;
  
    }
  
  }
  
  @keyframes sway {
  
    0% {
  
      margin-left: 0;
  
    }
  
    25% {
  
      margin-left: 50px;
  
    }
  
    50% {
  
      margin-left: -50px;
  
    }
  
    75% {
  
      margin-left: 50px;
  
    }
  
    100% {
  
      margin-left: 0;
  
    }
  
  }
  
  #snow-container {  

    height: 100vh;
  
    overflow: hidden;
  
    position: absolute;
  
    top: 0;
  
    transition: opacity 500ms;
  
    width: 100%;

  }
  
  .snow {
  
    animation: fall ease-in infinite, sway ease-in-out infinite;
  
    color: skyblue;
  
    position: absolute;
  
  }
  